<script>
  import { csv } from "d3-fetch";
  import { onMount } from "svelte";
  import { empty } from "svelte/internal";
  import Scatter from "./_ex_4_scatter.svelte";

  // Load the data
  let data = null;
  onMount(async () => {
    data = await csv("/data/cars-2.csv");
    data.forEach(extractCoordinate)
  });

  $: coords = [];
  function extractCoordinate(value, index, array) {
    // console.log(value, index)
    coords[index] = [value.Horsepower, value.Acceleration];
  }

  $: myRange1 = null;
  $: myRange2 = null;

  // Configurations
  const s1 = {
    x: (d) => +d.Horsepower,
    y: (d) => +d.Acceleration,
    xLabel: "Horsepower",
    yLabel: "Acceleration",
  };
  const s2 = {
    x: (d) => +d.Displacement,
    y: (d) => +d.Miles_per_Gallon,
    xLabel: "Displacement",
    yLabel: "Miles per Gallon",
  };
</script>

{#if !data}
  <p>Loading the data, please wait...</p>
{:else}
  <Scatter {data} {...s1} bind:myRange={myRange1} />
  <Scatter {data} {...s2} bind:myRange={myRange2} />
{/if}
<br>
<div>
  <p>
    {#if !myRange1}
      Range 1: empty
    {:else}
      Range 1 x1,x2: {myRange1[0][0]}
    {/if}
    <br>
    {#if !myRange2}
      Range 2: empty
    {:else}
      Range 2 x1,x2: {myRange2[0][0]}
    {/if}
    <br>
    {#if !coords}
      Coords: empty
    {:else}
      Coord 0: {coords[0]}
    {/if}
  </p>
</div>

